Bug 1292977 - [abrt] swami: g_type_fundamental(): swami killed by SIGSEGV
[abrt] swami: g_type_fundamental(): swami killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: swami (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brendan Jones
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:f46bb98a33a2ecd3f574b90d20b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-18 17:46 EST by Francisco de la Peña
Modified: 2016-12-20 12:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 12:09:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.48 KB, text/plain)
2015-12-18 17:46 EST, Francisco de la Peña
no flags Details
File: cgroup (190 bytes, text/plain)
2015-12-18 17:46 EST, Francisco de la Peña
no flags Details
File: core_backtrace (2.89 KB, text/plain)
2015-12-18 17:46 EST, Francisco de la Peña
no flags Details
File: dso_list (11.80 KB, text/plain)
2015-12-18 17:46 EST, Francisco de la Peña
no flags Details
File: environ (1.59 KB, text/plain)
2015-12-18 17:46 EST, Francisco de la Peña
no flags Details
File: exploitable (110 bytes, text/plain)
2015-12-18 17:46 EST, Francisco de la Peña
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-18 17:47 EST, Francisco de la Peña
no flags Details
File: maps (52.43 KB, text/plain)
2015-12-18 17:47 EST, Francisco de la Peña
no flags Details
File: mountinfo (3.47 KB, text/plain)
2015-12-18 17:47 EST, Francisco de la Peña
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-18 17:47 EST, Francisco de la Peña
no flags Details
File: open_fds (279 bytes, text/plain)
2015-12-18 17:47 EST, Francisco de la Peña
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-12-18 17:47 EST, Francisco de la Peña
no flags Details
File: var_log_messages (479 bytes, text/plain)
2015-12-18 17:47 EST, Francisco de la Peña
no flags Details

  None (edit)
Description Francisco de la Peña 2015-12-18 17:46:48 EST
Description of problem:
Just installed the first time. It just crashes on startup.

Version-Release number of selected component:
swami-2.0.0-10.20110806svn386.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        swami
crash_function: g_type_fundamental
executable:     /usr/bin/swami
global_pid:     21269
kernel:         4.2.6-libre.301.fc23.gnu.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (5 frames)
 #0 g_type_fundamental at gtype.c:4005
 #2 swamigui_root_init at /usr/src/debug/swami-2.0.0/src/swamigui/SwamiguiRoot.c:660
 #3 g_type_create_instance at gtype.c:1874
 #4 g_object_new_internal at gobject.c:1779
 #7 swamigui_root_new at /usr/src/debug/swami-2.0.0/src/swamigui/SwamiguiRoot.c:783
Comment 1 Francisco de la Peña 2015-12-18 17:46:52 EST
Created attachment 1107475 [details]
File: backtrace
Comment 2 Francisco de la Peña 2015-12-18 17:46:54 EST
Created attachment 1107476 [details]
File: cgroup
Comment 3 Francisco de la Peña 2015-12-18 17:46:55 EST
Created attachment 1107477 [details]
File: core_backtrace
Comment 4 Francisco de la Peña 2015-12-18 17:46:56 EST
Created attachment 1107478 [details]
File: dso_list
Comment 5 Francisco de la Peña 2015-12-18 17:46:57 EST
Created attachment 1107479 [details]
File: environ
Comment 6 Francisco de la Peña 2015-12-18 17:46:58 EST
Created attachment 1107480 [details]
File: exploitable
Comment 7 Francisco de la Peña 2015-12-18 17:47:00 EST
Created attachment 1107481 [details]
File: limits
Comment 8 Francisco de la Peña 2015-12-18 17:47:01 EST
Created attachment 1107482 [details]
File: maps
Comment 9 Francisco de la Peña 2015-12-18 17:47:02 EST
Created attachment 1107483 [details]
File: mountinfo
Comment 10 Francisco de la Peña 2015-12-18 17:47:04 EST
Created attachment 1107484 [details]
File: namespaces
Comment 11 Francisco de la Peña 2015-12-18 17:47:05 EST
Created attachment 1107485 [details]
File: open_fds
Comment 12 Francisco de la Peña 2015-12-18 17:47:06 EST
Created attachment 1107486 [details]
File: proc_pid_status
Comment 13 Francisco de la Peña 2015-12-18 17:47:07 EST
Created attachment 1107487 [details]
File: var_log_messages
Comment 14 Francisco de la Peña 2015-12-18 17:55:34 EST
Note: running swami without plugins (swami -p) does not segfault.
Comment 15 Fedora End Of Life 2016-11-24 09:21:38 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 12:09:57 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.